Get daily summaries for a barber
Retrieve per-day appointment counts and earnings for the barber across a requested date range. Only the owning barber or a system administrator can read these metrics; the range must not exceed 30 days.
curl --request GET \
--url https://api.guile.app/barbers/{id}/summaries/daily \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.guile.app/barbers/{id}/summaries/daily"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.guile.app/barbers/{id}/summaries/daily', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"date": "2023-12-25",
"appointments": {
"total": 1,
"confirmed": 1,
"pending": 1,
"completed": 1,
"cancellations": 1,
"noShows": 1,
"unpaid": 1,
"failedPayment": 1,
"totalDuration": 1,
"pendingRequests": 1,
"pendingRequestValue": "456.78",
"rejectedRequests": 1,
"expiredRequests": 1
},
"earnings": {
"total": "456.78",
"tips": "456.78",
"cash": "456.78",
"card": "456.78",
"productSales": "456.78",
"fees": "456.78"
}
}
],
"count": 1,
"appointments": {
"total": 1,
"confirmed": 1,
"pending": 1,
"completed": 1,
"cancellations": 1,
"noShows": 1,
"unpaid": 1,
"failedPayment": 1,
"totalDuration": 1,
"pendingRequests": 1,
"pendingRequestValue": "456.78",
"rejectedRequests": 1,
"expiredRequests": 1
},
"earnings": {
"total": "456.78",
"tips": "456.78",
"cash": "456.78",
"card": "456.78",
"productSales": "456.78",
"fees": "456.78"
}
}{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {},
"recovery": {
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetsAt": "2023-11-07T05:31:56Z"
}
},
"problems": [
{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {}
}
]
}{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {},
"recovery": {
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetsAt": "2023-11-07T05:31:56Z"
}
},
"problems": [
{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {}
}
]
}{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {},
"recovery": {
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetsAt": "2023-11-07T05:31:56Z"
}
},
"problems": [
{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {}
}
]
}{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {},
"recovery": {
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetsAt": "2023-11-07T05:31:56Z"
}
},
"problems": [
{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {}
}
]
}{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {},
"recovery": {
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetsAt": "2023-11-07T05:31:56Z"
}
},
"problems": [
{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {}
}
]
}{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {},
"recovery": {
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetsAt": "2023-11-07T05:31:56Z"
}
},
"problems": [
{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {}
}
]
}Path Parameters
The unique, opaque system identifier for a resource. This case-sensitive ID is also used as path parameters in URLs or in other properties or parameters that reference a resource by ID rather than URL.
Query Parameters
Filter summaries by date range. The date range must not exceed 30 days.
A date range, supporting inclusive or exclusive endpoints.
Dates ranges use dates expressed in YYYY-MM-DD RFC 3339
date format.
The value may have the following forms:
YYYY-MM-DDmatch the date exactly; equivalent to matching dates in the range[YYYY-MM-DD,YYYY-MM-DD][YYYY-MM-DD,YYYY-MM-DD]between two dates, inclusive of the endpoints(YYYY-MM-DD,YYYY-MM-DD)between two dates, exclusive of the endpoints[YYYY-MM-DD,]on or after the date(YYYY-MM-DD,)after the date[,YYYY-MM-DD]before or on the date(,YYYY-MM-DD)before the date
Examples:
- '2022-05-19'
- '[2022-05-01,2022-05-31]'
- '[2022-05-01,2022-06-01)'
- '[2022-05-19,]'
- '(2022-05-19,)'
- '[,2022-05-19]'
- '(,2022-05-19)'.
24^(\d{4}-\d{2}-\d{2}|[\[(](\d{4}-\d{2}-\d{2},(\d{4}-\d{2}-\d{2})?|,\d{4}-\d{2}-\d{2})[)\]])$Response
Ok. The operation succeeded.
Collection of daily summaries for a barber.
List of daily summaries.
Show child attributes
Show child attributes
The total number of days in the summary.
x >= 0Appointment counts for the day or requested date range.
Show child attributes
Show child attributes
Earnings totals for the day or requested date range.
Show child attributes
Show child attributes
Was this page helpful?
